/*
 * config.h
 *
 *  Programmmed by Hirotsugu Kakugawa, Hiroshima University
 *  E-Mail:  kakugawa@se.hiroshima-u.ac.jp
 *
 *  Edition History
 *
 */


#ifndef __VFLIB_CONFIG_H__
#define __VFLIB_CONFIG_H__


/*
 * Sony FSlib
 *   If you do not use Sony FSlib, comment out following two lines.  
 */
#ifndef USE_SONY_FONT
# undef USE_SONY_FONT
#endif /*USE_SONY_FONT*/


/*
 * Default path of `vfontcap' file
 */
#ifndef DEFAULT_VFCAP
# define DEFAULT_VFCAP  "/usr/local/TeX/lib/vfontcap"
#endif /*DEFAULT_VFCAP*/


/** for Font Management **/
/* The maximum number of fonts for each font class */
#define VF_MAX_SONY_FONTS   64
#define VF_MAX_ZEIT_FONTS   64
#define VF_MAX_JG_FONTS     64
#define VF_MAX_TT_FONTS     64
/* Maximun number of Fonts */
#ifndef   MAX_FONTS
# define  MAX_FONTS       128
#endif /* MAX_FONTS */


/** for Dynamic Opening/Closing Font File **/
/* Maximun number of Font Files */
#ifndef   MAX_FONT_FILES
# define   MAX_FONT_FILES  256
#endif /* MAX_FONT_FILES */
/* Maximun number of OPENED Font Files */
#ifndef   MAX_OPEN_FONT_FILES
# define  MAX_OPEN_FONT_FILES  6
#endif /* MAX_OPEN_FONT_FILES */
/* for opened font LRU list */
#define HASH_SIZE  31



#ifdef SYSV_STRINGS
#define bzero(b,l)      memset((char*)(b),(int)0,(l))
#define bcmp(b1,b2,l)   memcmp((char*)(b1),(char*)(b2),(l))
#define bcopy(b1,b2,l)  memmove((char*)(b2),(char*)(b1),(l))
#define index(s,c)      strchr((s),(c))
#endif /*SYSV_STRINGS*/

#endif /* __VFLIB_CONFIG_H__ */
